INTERFACE
SUBROUTINE LCNORGGTL (KSTART,KPROF,PGELAM,PGELAT,PGM,&
 & PUT0,PVT0,PTT0,PQT0,PSPT0,&
 & PUPP,PVPP,PTPP,PQPP,PSPPP) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAT(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PUT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPT0(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUPP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVPP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTPP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQPP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSPPP(NPROMA)
END SUBROUTINE LCNORGGTL
END INTERFACE
